/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/



/* PRIMITIVES — rohe Farbskalen */
:root {
  /* --- Orange (Marke) ------------------------------------------ */
  --orange-50:  #fff4e9;
  --orange-100: #ffe6d1;
  --orange-200: #ffcfa9;
  --orange-300: #ffb179;
  --orange-400: #fc8f44;
  --orange-500: #ee7100; /* Markenfarbe */
  --orange-600: #bf4800;
  --orange-700: #852a00;
  --orange-800: #681b00;
  --orange-900: #4b1100;
  --orange-950: #2f0800;

  /* --- Grau (Marke) ---------------------------- */
  --gray-50:  #f8f8f8;
  --gray-100: #e7efef;
  --gray-200: #d5dfdf;
  --gray-300: #bfcaca;
  --gray-400: #a6b2b2;
  --gray-500: #909d9d;
  --gray-600: #667272;
  --gray-700: #434f4f; /* Markenfarbe */
  --gray-800: #313c3c;
  --gray-900: #202a2a;
  --gray-950: #111919;

  /* --- Rot (danger) -------------------------------------------- */
  --red-50:  #fff1ef;
  --red-100: #ffe2dd;
  --red-200: #ffc9c1;
  --red-300: #ffa99e;
  --red-400: #ff8074;
  --red-500: #f96056;
  --red-600: #ce3833;
  --red-700: #8e1415;
  --red-800: #6d0d0e;
  --red-900: #4e0808;
  --red-950: #310404;

  /* --- Grün (success) ------------------------------------------ */
  --green-50:  #effaf1;
  --green-100: #def4e1;
  --green-200: #c0e9c7;
  --green-300: #9ad9a7;
  --green-400: #72c585;
  --green-500: #50b26a;
  --green-600: #15813d;
  --green-700: #005d27;
  --green-800: #00461c;
  --green-900: #013112;
  --green-950: #011e09;

  /* --- Gelb (warning) ------ */
  --yellow-50:  #fcf6e9;
  --yellow-100: #f8ecd0;
  --yellow-200: #f0daa6;
  --yellow-300: #e5c371;
  --yellow-400: #d5a92e;
  --yellow-500: #c39200;
  --yellow-600: #906a00;
  --yellow-700: #644700;
  --yellow-800: #4c3500;
  --yellow-900: #372400;
  --yellow-950: #221400;

  /* --- Absolut ------------------------------------------------- */
  --white: #ffffff;
  --black: #000000;
  --overlay: rgba(0, 0, 0, 0.5);
}




/* ALLGEMEIN */
html {
  -webkit-hyphens: auto;      /* ältere Safari-Versionen */
  hyphens: auto;
  hyphenate-limit-chars: 8 4 3;   /* Wortlänge / min. vor / min. nach */
  -webkit-hyphenate-limit-before: 4;  /* Safari-Legacy-Fallback */
  -webkit-hyphenate-limit-after: 3;
  overflow-wrap: break-word;      /* Notbremse für URLs etc. */
}
b, strong {
    font-weight: 600;
}
h1+*, h2+*, h3+*, h4+*, h5+*, h6+* {
  margin-top: 0.75em;
}
p {
  margin-bottom: 0 !important;
}
p+* {
  margin-top: 0.5em;
}
section {
  padding: clamp(20px, 9vw, 60px) 0;
}


.img-item-frame {
  display: flex;
  position: relative;
}
.img-item-frame::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0.62em;
  height: 100%;
  background: var(--color-brand);
  z-index: 1;
}